package com.gh.gamecenter.energy.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IDefaultUrlHandlerProvider
import com.gh.gamecenter.core.utils.ToastUtils

@Route(path = RouteConsts.provider.defaultUrlHandler, name = "DefaultUrlHandler暴露服务")
class DefaultUrlHandlerProviderImpl : IDefaultUrlHandlerProvider {

    override fun interceptUrl(
        context: Context,
        url: String,
        entrance: String,
        bringAppToFront: Boolean
    ): Boolean {
        ToastUtils.toast("调用->DefaultUrlHandlerProviderImpl.interceptUrl")
        return false
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}